<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./main.css">
    <title>Intro to CSS & CSS Selectors</title>
</head>
<body> 
    <!-- Internal CSS -->
    <!-- <style>
        /* 
            element {
                property: value;
            }
        */
        body {
            background-color: lightblue;
        }

        p {
            background-color: coral;
            font-size: 50px;
        }
        span {
            color: darkgreen;
            background-color: lightpink;
        }
    </style> -->
    <!-- Inline CSS -->
    <!-- style="property: value;" -->
    <!-- <p style="background-color: coral; font-size: 50px;">Lorem ipsum dolor sit amet consectetur adipisicing elit. Est <span style="color: darkgreen; background-color: lightpink; font-size: 75px;">consequuntur</span> asperiores, mollitia quisquam expedita quo sunt exercitationem, aliquid in, maiores provident veritatis autem. Ullam itaque animi impedit excepturi officia hic?</p> -->

    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Est <span>consequuntur</span> asperiores, mollitia quisquam expedita quo sunt exercitationem, aliquid in, maiores provident veritatis autem. Ullam itaque animi impedit excepturi officia hic?</p>

    <h1 id="greeting">Hello World</h1>

    <h2 class="welcome">Welcome to Zuitt!</h2>

    <form action="">
        <label for="first-name">First Name:</label>
        <input type="text" id="first-name" required autocomplete>
        <br>
        <label for="last-name">Last Name:</label>
        <input type="text" id="last-name" required autocomplete>
        <br>
        <label for="email">Email:</label>
        <input type="email" id="email" required autocomplete>
        <br>
        <label for="password">Password:</label>
        <input type="password" id="password" required autocomplete>
        <br>
        <button type="submit">Submit</button>
    </form>
    
    <br>
    <section>
        Sample
    </section>
    <section>
        Another Sample
    </section>

    <br>

    <div class="welcome">
        My name is Joy!
    </div>

    <!-- CSS Selector Combinators -->

    <div id="parent">
        <p>First Paragraph</p>
        <p>Second Paragraph</p>
        <section>
                <p>Third Paragraph</p>
                <p>Sample Paragraph</p>
        </section>
    </div>

    <p>Fourth Paragraph</p>
    <p>Fifth Paragraph</p>

    <div>
        <p>Sixth Paragraph</p>
        <p>Seventh Paragraph</p>
    </div>

    <div>
        <p>Eighth Paragraph</p>
        <p>Ninth Paragraph</p>
        <p>Sample Paragraph</p>
    </div>

    <div style="margin-top: 150px;">
    </div>
</body>
</html>